Add another hack for installation.
authorKrzesimir Nowak <krnowak@openismus.com>
Mon, 23 Jan 2012 15:09:28 +0000 (16:09 +0100)
committerMurray Cumming <murrayc@murrayc.com>
Tue, 24 Jan 2012 11:21:39 +0000 (12:21 +0100)
commitcac0725b2f30dcb3f739b3989b3a67ce7a695273
tree8164769500fb2810732fce5ca1579f7120e80c93
parent1b2d94ced3f1bf02124969aca591e8dd89ee962e
Add another hack for installation.

libsyncevolution depends on libgdbussyncevo. On installation the
former needs to be relinked, but the latter is still not installed
and that causes linking to fail with following message:

/usr/bin/ld: cannot find -lgdbussyncevo

That is so, because the order of installing binaries is not
dependency-based but more like target directory based:

install-exec-am: install-binPROGRAMS install-binSCRIPTS \
install-libLTLIBRARIES install-libexecPROGRAMS \
install-libexecSCRIPTS install-nodist_binSCRIPTS \
install-pkglibLTLIBRARIES

libsyncevolution is installed during install-libLTLIBRARIES, while
its dependency is installed during later install-pkglibLTLIBRARIES.
Makefile.am